#include "ContainerScreenControllers.h"
#include "Client.h"

auto Hooks::ContainerScreenControllers::callback__oncontainerslothovered(ContainerScreenController* _this, std::string32 collectionName, int64_t slot) -> void {
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onContainerScreenSlotHovered(_this, collectionName.c_str(), slot);
	}

	containerscreencontroller__oncontainerslothovered(_this, collectionName, slot);
}

auto Hooks::ContainerScreenControllers::callback_tick(ContainerScreenController* _this) -> void {
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onContainerScreenTick(_this);
	}

	containerscreencontroller_tick(_this);
}
